org.apache.hadoop.security.proto

## Interface RefreshUserMappingsProtocolProtos.RefreshUserMappingsProtocolService.Interface

- All Known Implementing Classes:
    RefreshUserMappingsProtocolProtos.RefreshUserMappingsProtocolService.Stub
  Enclosing class:
    RefreshUserMappingsProtocolProtos.RefreshUserMappingsProtocolService

      public static interface RefreshUserMappingsProtocolProtos.RefreshUserMappingsProtocolService.Interface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `refreshSuperUserGroupsConfiguration(com.google.protobuf.RpcController controller, RefreshUserMappingsProtocolProtos.RefreshSuperUserGroupsConfigurationRequestProto request, com.google.protobuf.RpcCallback<RefreshUserMappingsProtocolProtos.RefreshSuperUserGroupsConfigurationResponseProto> done)` `rpc refreshSuperUserGroupsConfiguration(.hadoop.common.RefreshSuperUserGroupsConfigurationRequestProto) returns (.hadoop.common.RefreshSuperUserGroupsConfigurationResponseProto);`
    `void` | `refreshUserToGroupsMappings(com.google.protobuf.RpcController controller, RefreshUserMappingsProtocolProtos.RefreshUserToGroupsMappingsRequestProto request, com.google.protobuf.RpcCallback<RefreshUserMappingsProtocolProtos.RefreshUserToGroupsMappingsResponseProto> done)` `rpc refreshUserToGroupsMappings(.hadoop.common.RefreshUserToGroupsMappingsRequestProto) returns (.hadoop.common.RefreshUserToGroupsMappingsResponseProto);`

- - ### Method Detail

    - #### refreshUserToGroupsMappings

          void refreshUserToGroupsMappings(com.google.protobuf.RpcController controller,
                                           RefreshUserMappingsProtocolProtos.RefreshUserToGroupsMappingsRequestProto request,
                                           com.google.protobuf.RpcCallback<RefreshUserMappingsProtocolProtos.RefreshUserToGroupsMappingsResponseProto> done)

      `rpc refreshUserToGroupsMappings(.hadoop.common.RefreshUserToGroupsMappingsRequestProto) returns (.hadoop.common.RefreshUserToGroupsMappingsResponseProto);`

           Refresh user to group mappings.

    - #### refreshSuperUserGroupsConfiguration

          void refreshSuperUserGroupsConfiguration(com.google.protobuf.RpcController controller,
                                                   RefreshUserMappingsProtocolProtos.RefreshSuperUserGroupsConfigurationRequestProto request,
                                                   com.google.protobuf.RpcCallback<RefreshUserMappingsProtocolProtos.RefreshSuperUserGroupsConfigurationResponseProto> done)

      `rpc refreshSuperUserGroupsConfiguration(.hadoop.common.RefreshSuperUserGroupsConfigurationRequestProto) returns (.hadoop.common.RefreshSuperUserGroupsConfigurationResponseProto);`

           Refresh superuser proxy group list.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.